1. Crypto Deposit
v2.1 (Sandbox)
  • v2.1 (Production)
  • v2.1 (Sandbox)
  • v2.0 (Sandbox)
  • v1.0 (Deprecated)
  • API
    • Getting Started
    • Account Setup For PSP
    • Account Setup For Direct Client
    • Idempotent Requests
    • Webhook
    • API Error Handling Guide
    • Changelog
    • Authentication
      • Create Token
    • Account Management
      • Get Balance
      • Internal Transfer
      • Get Internal Transfer
    • Merchant Management
      • Create Merchant
      • Get Merchant
      • Initiate Merchant Activation
      • Confirm Merchant Activation
      • Merchant Status Webhook
      • Merchant Activation Status Webhook
    • Fiat Payment
      • Fiat Deposit
        • Get Deposit Bank Account
        • Get Fiat Deposit Detail
        • Get Fiat Deposit History
        • Fiat Deposit Webhook
      • Fiat Account Management
        • Get Fiat Account Capabilities
        • Create Fiat Account Request
        • Submit Additional Information for Fiat Account Request
        • Get Fiat Account Application Status
        • Add Bank Account
        • Delete Bank Account
        • Get Bank Accounts
        • Fiat Account Request Status Webhook
      • Fiat Withdrawal
        • Get Same Name Withdrawal Capabilities
        • Activate Same Name Withdrawal
        • Submit Additional Information for Activating Same Name Withdrawal
        • Activate Same Name Withdrawal Webhook
        • Create Fiat Withdrawal
        • Submit Additional Information for Fiat Withdrawal Request
        • Get Fiat Withdrawal Detail
        • Get Fiat Withdrawal History
        • Fiat Withdrawal Webhook
    • Crypto Payment
      • Crypto Deposit
        • Update Crypto Deposit Travel Rule Info
          POST
        • Get Crypto Deposit Wallet
          GET
        • Get Crypto Deposit
          GET
        • Get Crypto Deposit History
          GET
        • Crypto Deposit Webhook
        • Crypto Deposit Wallet Status Webhook
      • Crypto Withdrawal
        • Register Wallet Address
        • Remove Wallet Address
        • Create Crypto Withdrawal
        • Get Wallet Address
        • Get Crypto Withdrawal
        • Get Crypto Withdrawal History
        • Crypto Withdrawal Webhook
      • Crypto Checkout v1.0
        • Create Crypto Checkout
        • Create Crypto Checkout Link
        • Crypto Checkout Wallet Connection
        • Generate POS Payment Request
        • Close Crypto Checkout
        • Get Convertible Cryptos
        • Get Supported Blockchains
        • Get Crypto Checkout
        • Get Crypto Checkout Link
        • Get Crypto Checkout Currencies
        • Crypto Checkout Webhook
      • Crypto Refund v1.0
        • Create Crypto Refund
        • Confirm Crypto Refund
        • Get Crypto Refund
        • Crypto Refund Webhook
      • Crypto Checkout v2.0
        • Create Checkout
        • Create Crypto Quotation
        • Order Accept
        • Get Checkout History
        • Get Checkout
        • Close Checkout
        • Get Checkout Acceptable Cryptos
        • Checkout Status Webhook
      • Crypto Refund v2.0
        • Create Crypto Void
        • Create Crypto Risk Refund
        • Create Crypto Refund
        • Close Crypto Refund
        • Get Crypto Refund
        • Get Checkout Refundable Info
        • Refund Status Webhook
    • Conversion
      • Create Quotation
      • Create Conversion
      • Get Quotation
      • Get Conversion
      • Conversion Webhook
    • Statements
      • Create statement
      • Get statement overview
      • Get statement entries
      • Get statement transactions
    • Points
      • Get Points Balance
      • List Points Transactions
      • Get Points Transaction Detail
    • Fee Estimate
      • Fee Estimate
    • Tool
      • Upload File
      • getTnC
      • Validate Crypto Address
  1. Crypto Deposit

Crypto Deposit Wallet Status Webhook

Webhook
POST
Deposit address suspended notification (implement this endpoint to receive CAMP pushes).
New webhook in v2.1. Pushed when a deposit address is suspended, either by KYT risk control or by a manual action in the admin console. Batch suspension is supported.
The event name belongs to the same crypto.deposit namespace as crypto.deposit.updated.v2.
Trigger scenarios:
KYT-triggered: an incoming deposit fails KYT (FAILED / SEVERE_RISK) -> the system automatically creates a new address -> the old address is marked SUSPENDED -> this webhook is pushed (newAddress is populated).
Admin manual: a wallet is manually disabled in the admin console -> this webhook is pushed (newAddress is null).
Applies to: PSP

Request

Authorization
Header Params

Body Params application/json

Example
{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "participantCode": "string",
        "addresses": [
            {
                "blockchain": "string",
                "suspendedAddress": "string",
                "newAddress": "string",
                "suspendedAt": 0
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Signature: t=1758867971711,v0=b2468f...' \
--header 'Content-Type: application/json' \
--data '{
    "eventType": "string",
    "notificationId": "string",
    "data": {
        "participantCode": "string",
        "addresses": [
            {
                "blockchain": "string",
                "suspendedAddress": "string",
                "newAddress": "string",
                "suspendedAt": 0
            }
        ]
    }
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{}
Modified at 2026-08-18 03:11:15
Previous
Crypto Deposit Webhook
Next
Register Wallet Address
Built with